Subject: bug#37527: [PATCH] Install C source code for for debugging help

From: Paul Eggert <[email-masked]>
Date: Thu, 3 Oct 2019 18:28:15 -0700

On 10/3/19 3:32 PM, Glenn Morris wrote:
> IMO if you need to debug Emacs outside the lisp level

But I don't normally use the feature to debug Emacs's C code. I use it 
to understand what the C code will do if some Lisp code calls it, in 
greater detail than if I just read the doc string. I use the feature in 
the same way to understand Lisp-implemented functions, too. This aspect 
of the feature is useful even in prepackaged Emacs distributions where I 
don't plan to debug or change either the C or the Lisp code.

Of course this aspect of the feature is not useful for everybody. 
However, it is useful for some people and that provides a case for 
adding it.